For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTCreate custom action
      • DELDelete custom action
      • GETList actions
      • GETShow custom action details
      • PATCHUpdate custom action

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceCustom Actions

List actions

GET
https://api.frame.io/v4/accounts/:account_id/workspaces/:workspace_id/actions
GET
/v4/accounts/:account_id/workspaces/:workspace_id/actions
1from frameio import Frameio
2
3client = Frameio(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.custom_actions.actions_index(
8 account_id="4a5233e8-2368-42c1-84b2-dc45c6e99655",
9 workspace_id="8aae09f0-02ad-4ef6-832b-b5d49aec19da",
10)
1{
2 "data": [
3 {
4 "active": true,
5 "created_at": "2024-08-23T14:39:29.125812Z",
6 "creator_id": "3785a67a-5b4c-44f8-9382-bde5a6444173",
7 "deleted_at": null,
8 "description": "customizing our workflow",
9 "event": "my.event",
10 "id": "26f1c067-7280-4ce9-b735-15e67cf1fef2",
11 "name": "First Custom Action",
12 "updated_at": "2024-08-23T14:39:29.125812Z",
13 "url": "https://example.com/custom-action",
14 "workspace_id": "5b08aaac-39dd-429c-a1ce-1548569624bb",
15 "multi_asset": true,
16 "timeout": 7,
17 "creator": {
18 "active": true,
19 "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
20 "email": "user_email@example.com",
21 "id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e",
22 "name": "Jon Doe"
23 }
24 }
25 ],
26 "links": {
27 "next": "/v4/accounts/123/workspaces/123/actions"
28 },
29 "total_count": 1
30}

List actions in a given workspace.
Rate Limits: 100 calls per 1.00 minute(s) per account_user

Was this page helpful?
Previous

Show custom action details

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).
workspace_idstringRequiredformat: "uuid"
A UUID string that uniquely identifies a Frame.io entity.

Query parameters

includeenumOptional
Include query parameter for custom actions
Allowed values:
afterstringOptional

Opaque Cursor query param for requests returning paginated results.


NOTE: this value is auto-generated and included as part of links from a previous response. It is not intended to be human readable.

page_sizeintegerOptional1-100Defaults to 50
Page size query param for requests
include_total_countbooleanOptionalDefaults to false
Page query param to include the count of all entities

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

OK
datalist of objects
Actions
linksobject
Links to paginated data
total_countinteger or null
Total count

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).